2016-09-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: Use -underline clearly to disambiguate from new 8.6.6
	option -underlinefg [Bug #54] (bachmann)

2015-10-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (edit): prevent file edit from undoing loading of file
	[Bug #52] (budyak)

2014-09-09  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::SaveHistory): save history at each command
	to prevent loss during abnormal termination. [bachmann]

2014-07-09  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (idebug): allow multi-char patterns as debug id [Lama]

2013-01-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tkcon show): catch deiconify as it will throw an
	error if tkcon is embedded.

2012-12-27  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (edit): add support for ::tkcon::OPT(tabspace) to
	adjust tab spacing in edit window (default: 8). [Bug #7]

	* tkcon.tcl (::tkcon::Bindings): minimal patch for 8.6b3+ event
	compatibility. Larger patch to come that addresses shift towards
	virtual events in core widgets. [Bug #48] (gollwitzer)

	* docs/{dump.man,tkcon.1.man,tkconc.5.man}: make dtplite happy for
	the docs [Bug #47]

	* tkcon.tcl (::tkcon::Init): update to use latest /viewvc/tkcon
	url to retrieve head version of tkcon.

	* tkcon.tcl (::tkcon::InitUI): catch deiconify to prevent error
	when embedding. [Bug #44]

	* tkcon.tcl (::tkcon::ExpandMethodname): improved expansion for
	xotcl methods.  Also enhance expansion to allow break/continue
	signals to differentiate "I'm not responsible" results from "I
	don't have any results". (neumann)

	* tkcon.tcl (::tkcon::InitInterp): correct sending tkcon commands
	to user created interps [Bug #42] (kuhn)

2012-03-06  Jeff Hobbs  <jeffh@>

	* tkcon.tcl (idebug): better line handling to not use list
	functions. [Bug 111462] (goth)
	(tkcon): pass any init args to 'tkcon show'

2011-10-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* pkgIndex.tcl: update to v2.7
	* tkcon.tcl:    Improve UI to work on OS X.  Adjust some dialogs,
	use Command- instead of Control- bindings on OS X.  Handle right
	click properly.

	* docs/license.terms: removed outdated restricted rights section.

2010-01-24  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* icons/*:                Added an SVG icon and .desktop file suitable
	* tkcon-console.desktop:  for use installing tkcon into the desktop
	* install-desktop-menu.sh: menus on a unix desktop. Also an install
	* tkcon.tcl:              script to show how it is done. And for
	use with 8.6 on X11 - if we can locate the icon, use it as the
	tkcon iconphoto so it shows up associated with the running app.

2010-01-23  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* tkcon.tcl: Make use of the extended window manager hints from
	tip 359 on unix for all the dialog windows.

2009-04-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: override 8.5 [chan puts|gets]. [Bug 1876707]

	* tkcon.tcl: update pre-8.4 private text binding refs

	* tkcon.tcl: clean up cmd global var used [Bug 2441583]

	* tkcon.tcl (::tkcon::Retrieve): support http code redirect for
	downloading latest version. [Bug 1755500]

	* README.txt, docs/limits.html, docs/nontcl.html: bump to 2.6
	* pkgIndex.tcl, tkcon.tcl: Use Tcl 8.4 code style.

2009-02-26  Jeff Hobbs  <jeffh@ActiveState.com>

	**** TKCON 2.5 TAGGED FOR RELEASE ****

	* index.html, docs/*.html: update links and references

2009-02-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* docs/tkcon.html, docs/tkcon.n.man: add tkcon resultfilter docs.

2008-02-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::Bindings): prevent Expand virtual events
	from triggering follow-on events (most important for <Tab>).
	(::tkcon::Retrieve): remove extraneous http::geturl call.
	
2007-06-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::EvalCmd): add OPT(resultfilter) and 'tkcon
	resultfilter ?cmd?' to allow optional result filter command.
	Command will be passed result code and data and must return what
	tkcon will return to the user.  Command is run in attached slave.
	Ensure that initial files are sources at level #0.
	Convert args after (--|-argv|-args) into slave arguments and set
	them as the main $::argv/$::argc for propagation.

2007-06-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* docs/tkcon.1.man, docs/tkcon.n.man, docs/tkconrc.5.man (new): 
	* docs/dump.n.man, docs/observe.n.man, docs/idebug.n.man (new): 
	* index.html, docs/demopic.gif (removed), docs/demopic.png (new):
	* docs/plugin.html, docs/start.html, docs/tkcon.html:
	Updated docs and added doctools equivalents courtesy Sergei Golovan
	* docs/style.css: updated stylesheet
	
2007-04-04  Jeff Hobbs  <jeffh@ActiveState.com>

	*** BUMPED TO VERSION 2.5 ***

	* tkcon.tcl: ensure option overrides only effect tkcon and
	subwidgets.
	(edit): Add -wrap option to 'edit' command.
	(::tkcon::AtSource): adjust argv0 existence check

2006-09-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::NewTab, ::tkcon::GetSlave): ensure that new
	tabs in other toplevel tkcon windows are built in the correct
	slave hierarchy.

	* pkgIndex.tcl: sample pkgIndex.tcl that allows using tkcon as a
	package.

	* tkcon.tcl (::tkcon::InitSlave): adjust to make the first file
	passed in to be argv0 in the slave

2006-08-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tkcon): default wm protocol to hide tkcon when used
	in embedded context.

2006-08-23  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: remove use of -exact in package require Tk

2006-06-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: updated to handle ttk scrollbars as well as other UI
	cleanup.

2006-06-15  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: modify CVS location after SF changes

	* README.txt: correct reference email address

2006-02-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tkcon): update 'gets stdin' override (tkcon congets)
	to support usage at script load time. (decoster)

2006-01-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (MenuConfigure): Fix ActiveTcl Help link when pointing
	to a file with space in path. [Bug 1408425]
	(::tkcon::Save, ::tkcon::Load): in VFS paths, use the X11 dialogs
	that support viewing in VFS dirs.

2005-09-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::AtSource): do not require argv to be defined
	(edit): enable text -undo in editor
	(::tkcon::InitUI): shrink aqua resize control space alloted

2005-07-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: add ::tkcon::OPT(maxlinelen) (default 0 == unlimited)
	and 'tkcon linelength ?value?' to optionally limit long result
	lines.  True result is still captured in $_ (and 'puts $_' works).

2005-05-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (InitMenus): add ActiveTcl Help menu item, if AT Help
	is found.

2005-04-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (ExpandXotcl): allow for xotcl method name expansion,
	if you change ::tkcon::OPT(expandorder) to include Xotcl before
	Procname

2005-02-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::send::send): propagate -displayof to winfo interps
	call. [Bug 1124369] (mbec)

2004-11-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::ExpandVariable): correct array keyname
	expansion. [Bug 1004508] (bold)

2004-11-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::EvalSocket): pass sock arg. (allaert)

2004-11-11  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::DeleteTab): allow for exit code to be passed
	when exit is aliased to DeleteTab. [Bug 1064462]
	(::tkcon::Expect): graphicsSet isn't valid yet

2004-10-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::Highlight): use ctext for the 'edit' dialog
	if available

2004-07-26  Jeff Hobbs  <jeffh@ActiveState.com>

	**** TKCON 2.4 TAGGED FOR RELEASE ****

	* index.html, docs/*.html: remove email links, update 2.4 info
	* docs/plugin.html: update plugin page embed code

2004-06-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (DeleteTab, Destroy): improve the 'exit' handling so
	that 'exit' in the first created tab doesn't do a full exit.
	'exit' in the last tab of the first created console still exits
	tkcon, fixing that requires a rearch of the console
	creation/management.
	(InitTab): Have the <Configure> binding only fire for the root
	window, not for each tab.
	(GotoTab): Keep tabs around - just raise/lower instead of grid
	remove/add.  break on Next/Prev Tab binding to get focus right.
	(Prompt): return if console w doesn't exist

2004-06-10  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: add [X] tab delete button and Console -> Delete Tab
	menu item. [Bug 970785]

2004-05-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (observe): allow observe of 'proc'

2004-03-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::EvalSocketEvent): correctly handle socket
	events after attachment changes

2004-03-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: correct 'exit' in extra tabs.
	make tkconfixed font Courier -12 (was Courier 10), use it on unix.
	Add extra space for OS X/Aqua in statusbar (for resize handle).
	Only use -overrelief in 8.4

2004-02-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::InitUI): check existence of tcl_platform(os)
	as it doesn't exist in the Tcl plugin.
	Show Attach info in tab text, maintain namespace attachment
	between console switches.
	(::tkcon::InterpEval, Interps): beware safe interps with Tk

2004-02-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: brought code back to 8.0 compatability.
	Use $_ as last cached result var (was ${}).
	Ensure hoterrors garbage collection occurs across all tabs.

2004-01-29  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: first whack at tabbed consoles

2004-01-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: don't use menu tearoffs
	remove recognizable email addresses from source
	enabled more send variants (comm, dde, winsend) [bug 649257] (thoyts)
	change Packages menu (that would be too large with many packages)
	to a Manage Packages dialog.
	tightened up Create Socket dialog, added <Escape> dismiss binding.
	Moved source time initialization into ::tkcon::AtSource to guard
	against leftover vars and just better encapsulate it.
	(::tkcon::Retrieve): correct retrieve URL and add intelligence to
	sense whether what we retrieved is correct before overwriting file.

2003-11-18  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::InitSlave): remove tk_library from the
	seeded auto_path.  Do not add OPT(library) to auto_path if it is "".

2003-11-04  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::EvalSocketClosed): use tk_messageBox instead
	of tk_dialog

2003-10-06  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (dir): use %9ld instead of %9d to support large files

2003-04-08  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (::tkcon::InitUI): WinCE code to resize the window to
	fit on the small screen

2003-03-31  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tkcon::Retrieve): correct the check for tkcon version
	when retrieving from http.

2003-02-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (EvalCmd): set $:: (aka ${}) var to last command result.
	(EvalOther): use tk_messageBox instead of tk_dialog
	(Init): allow 'edit' to be overridden using OPT(edit)

2003-01-13  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: add tk appname alias in WWW plugin case.

2002-10-08  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tcl_unknown): allow ::namespace (:'s) to be
	recognized. (koloska)
	(MainInit): add option for overriding exit command.
	(InitUI): add option to control the wm protocol for WM_DELETE_WINDOW.

2002-10-01  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (InterpEval): correctly handle no args case.
	(New): autoload tbcload when it exists.

2002-06-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: call Init with eval to break out argv into args.

2002-06-04  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (Init): convert env(home) from 'C:' to 'C:/' if necessary.

2002-06-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: fixed Retrieve to use the proxy info (Thoyts).
	Added code so that tkcon.tcl can be sourced in and used like a
	quasi-package.  Once sourced, you can do a 'package require tkcon'
	(there is no pkgIndex.tcl for it), and the first 'tkcon show' will
	initialize anything that is needed.
	(observe): corrected variables tracing to not allow duplicates.
	(dump): improved check for empty named arrays as well as locally
	aliased vars in var dumps.
	Use the 'fixed' font on unix by default.

2002-02-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (AddSlaveHistory): changed history to not add the
	command if it is the same as the previous command (it will still
	be evaluated).  (soderstrom)
	Added panedwindow and labelframe as recognized Tk commands.

2002-01-24  Jeff Hobbs  <jeffh@ActiveState.com>

	**** TKCON 2.3 RELEASE ****

	* tkcon.tcl: bumped to v2.3

2002-01-23  Jeff Hobbs  <jeffh@ActiveState.com>

	* docs/procs.html:
	* tkcon.tcl (what): changed to differentiate between 'array' and
	'scalar' instead of just returning 'variable'.
	(which): called what in uplevel to get scope right.

2002-01-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (ExpandPathname): use a safer regsub to first unescape
	the str, then to protect it in the glob.
	(dir): Use -directory arg in 8.3+ for better results.

	* docs/idebug.html: added note about ? help at debug prompt.

	* tkcon.tcl (dir): prevented possible 'divide by zero' error.
	[Bug #496584]
	(Expand*): fixed ExpandPathname to better handle spaced pathnames.
	[Bug #497079]

2001-12-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: 'tkcon show' causes loss of focus on Windows, so an
	extra focus to the console was added.

2001-12-12  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (EvalSocketEvent): changed EvalSocketClosed to only
	occur after gets, then eof check. (Gerold Jury)

2001-11-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: added catch around file type call

2001-10-14  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (Init): corrected loading of rcfile when it was in a
	path including spaces. (siltberg)
	(About): clarified CVS info in about box.

	* docs/start.html: correct old refs to TKCON var.

2001-09-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (ExpandPathname): recognize NT as a case *in*sensitive
	file system for pathname expansion.

2001-08-31  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (InitSlave): propagate auto_path from master to slave.

2001-08-24  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (NewSocket, NewDisplay): when nothing is specified,
	just return.
	(Display): fixed connecting to interps on other displays.

2001-08-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* docs/bindings.html: noted ^r/^s change. 

	* tkcon.tcl (Event): changed event ^r/^s searching to search for
	any matching substring, and blink the substring.
	Added statusbar, default off (not much in status yet).

2001-08-20  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (EvalNamespace): fixed to work when attached to a
	foreign interpreter. [Bug #453431]
	Added fix that allows access to Tk privates in 8.4.  Still needs
	a long-term fix. [Bug #450865] (porter)

2001-08-03  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (EvalCmd): protected against non-existent
	tkPriv(mouseMoved) variable

2001-07-05  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (RetrieveFilter, RetrieveAuthentication): added
	support for retrieving latest tkcon via a proxy. (Thoyts)

2001-07-04  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (tkcon): made tkcon console return whatever result it
	received.  Fixed Bug #438281.

2001-06-20  Jeff Hobbs  <jeffh@ActiveState.com>

	TKCON 2.2 RELEASE

	* README.txt:
	* index.html:
	* docs/index.html: updated for 2.2 release

	* tkcon.tcl (InitUI): moved wm protocol inside check to not run
	under plugin.
	(::tkcon::Retrieve): added a new method to allow tkcon to retrieve
	the latest version of itself.

2001-06-19  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl (dir): added fallback in generic dir command to not
	require being run in tkcon.
	(Init): Changed around how all options are initialized to allow
	for tkcon embedders to set their own defaults.  Added a usehistory
	PRIV key that tells us whether to load/save history files.  Added
	showOnStartup PRIV key to control whether tkcon should deiconify
	itself on startup.  Changed setting root to .tkcon to ensure that
	root was just . before.

2001-06-18  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: (InitUI) added WM_DELETE_WINDOW hook to exit to
	correctly deconstruct slave consoles.
	(tkcon congets/getc) added tkcon show to ensure that tkcon would
	be displayed when input is expected.
	(GetSelection) new command to handle getting selection, this
	supports the new UTF8_STRING type.
	(InitMenus) added version check around Attach to Socket menu, as
	8.3 is need for the file channels call.

2001-05-28  Jeff Hobbs  <jeffh@ActiveState.com>

	* docs/start.html: added note about ::tkcon::OPT(gets) var.
	* docs/tkcon.html: improved docs for tkcon *get* methods.
	* tkcon.tcl: reinstituted override of gets by default to use the
	tkcon console based gets.

	* tkcon.tcl (dump): corrected outputting local vars with dump.
	Added RCS info to PRIV array and About box.
	(tkcon congets) corrected congets to set the limit and insert
	properly to return data without needing to call the prompt.
	(tkcon set) corrected to return [array get] string for arrays,
	and scalar value for vars.
	Placed exact level value to all calls to uplevel and upvar.

2001-05-17  Jeff Hobbs  <jeffh@ActiveState.com>

	* tkcon.tcl: make check for actual tkcon root existence to allow
	for setting the var ($::tkcon::PRIV(root)) in controlling apps to
	better control the root window.

2001-05-04  Jeff Hobbs  <jeffh@ActiveState.com>

	TKCON 2.1 RELEASE

	* docs/style.css: new file for html files to use.
	* README.txt:
	* index.html:
	* doc/*: updated for 2.1 release.

	* tkcon.tcl: allowed 'tkcon font ...' and 'tkcon buffer ...' to
	work before the main console have been created.
	Changed "TkCon" -> "tkcon", updated for new release.

2001-03-28  Jeff Hobbs  <jeffh@activestate.com>

	* tkcon.tcl (::tkcon::Init): added safe interp check around 'cd'
	call for Macs

2000-10-30  Jeff Hobbs  <hobbs@ajubasolutions.com>

	* tkcon.tcl (dir): fixed bug where permissions wouldn't print
	correctly if user had no permissions. (kuchler)

2000-10-18  Jeff Hobbs  <hobbs@ajubasolutions.com>

	* tkcon.tcl (::tkcon::NamespacesList): corrected to not use window
	starting with an uppercase letter (error). (reins)

2000-09-27  Jeff Hobbs  <hobbs@scriptics.com>

	* tkcon.tcl (::tkcon::About): added 'variable COLOR' decl (Zaers).

2000-09-20  Jeff Hobbs  <hobbs@scriptics.com>

	* tkcon.tcl (InitMenus): restricted the Attach Socket
	functionality to Tcl 8.3+ due to use of [file channels].
	(InitUI): fixed Configure binding to use correct namespace for OPT
	(EvalSocket, EvalSend, EvalAttached): cleaned up to require that
	they accept only one arg as the command string to be evaluated.
	Prior behavior left some ambiguity as to what was eval'ed where.
	EvalOther, EvalSlave may need some sanitation as well.
	(EvalCmd): Changed EvalSocket functionality to have the \'s
	substituted before sending data, to allow for special chars to be
	added to the string.

2000-09-19  Jeff Hobbs  <hobbs@scriptics.com>

	* tkcon.tcl (::tkcon::InitUI): corrected plugin handling, as 'wm
	withdraw' worked, but 'wm deiconify' was disallowed.

	* docs/plugin.html: updated link to plugin source
	* docs/changes.txt: noted that changes.txt is no longer updated in
	favor of this ChangeLog

	* index.html: updated page with sourceforge links
	* index.html: added toplevel html index doc

	* tkcon.tcl: updated v2.0 to v2.1 alpha version
	All tkcon procedures have been namespaced, except for the ones
	that are visible to the user.  TkCon has added the ability to
	attach to other displays or a socket.

	* tkcon.tcl: updated v1.6 to v2.0 version, tagged tkcon-2-0
	This is the first version to require 8.0+ to run, although it
	will still connect to older interps.

	* tkcon.tcl: updated v1.5 to v1.6 version, tagged tkcon-1-6
	* tkcon.tcl: updated v1.4 to v1.5 version, tagged tkcon-1-5
	* tkcon.tcl: updated v1.3 to v1.4 version, tagged tkcon-1-4
	* tkcon.tcl: updated v1.2 to v1.3 version, tagged tkcon-1-3
	* tkcon.tcl: updated v1.1 to v1.2 version, tagged tkcon-1-2
	* tkcon.tcl: updated v1.03 to v1.1 version, tagged tkcon-1-1
	* tkcon.tcl: updated v1.02 to v1.03 version, tagged tkcon-1-03
	* tkcon.tcl: updated v0.71 to v1.02 version, tagged tkcon-1-02
	* tkcon.tcl: updated v0.69 to v0.71 version, tagged tkcon-0-71
	* tkcon.tcl: updated v0.68 to v0.69 version, tagged tkcon-0-69
	* tkcon.tcl: updated v0.67 to v0.68 version, tagged tkcon-0-68
	* tkcon.tcl: updated v0.66 to v0.67 version, tagged tkcon-0-67
	* tkcon.tcl: updated v0.65 to v0.66 version, tagged tkcon-0-66
	* tkcon.tcl: updated v0.64 to v0.65 version, tagged tkcon-0-65
	* tkcon.tcl: updated v0.63 to v0.64 version, tagged tkcon-0-64
	* tkcon.tcl: updated v0.52 to v0.63 version, tagged tkcon-0-63

	* ChangeLog: added a ChangeLog
